## ubiquity-slideshow-ubuntu 181

=== debian/changelog ===
ubiquity-slideshow-ubuntu (181) jammy; urgency=medium

  * Updated welcome.png to match updated wallpapers (LP: #1969148)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 15 Apr 2022 14:04:04 -0400

ubiquity-slideshow-ubuntu (180) jammy; urgency=medium

  * Updated music.png and photos.png in the slideshow for jammy (LP: #1968481)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 11 Apr 2022 09:24:55 -0400

ubiquity-slideshow-ubuntu (179) jammy; urgency=medium

  [ Jianfeng Li ]
  * Updated Ubuntu Kylin slideshow

  [ Sean Davis ]
  * Update xubuntu translations from
    https://github.com/Xubuntu/ubiquity-slideshow-xubuntu

  [ Gunnar Hjalmarsson ]
  * Update slideshow-ubuntukylin.pot
  * Update translations from Launchpad
    - Xubuntu LP translations excluded

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 10 Apr 2022 17:48:39 +0200

ubiquity-slideshow-ubuntu (178) jammy; urgency=medium

  * Update translation templates (po/*/slideshow-*.pot files)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 28 Mar 2022 22:51:32 +0200

ubiquity-slideshow-ubuntu (177) jammy; urgency=medium

  * Updated the default artwork for Ubuntu

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 17 Mar 2022 16:47:25 +0100

ubiquity-slideshow-ubuntu (176) jammy; urgency=medium

  [ Martin Wimpress ]
  * Update and optimise artwork for Ubuntu MATE Jammy Jellyfish.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 11 Mar 2022 20:58:05 +0100

ubiquity-slideshow-ubuntu (175) jammy; urgency=medium

  * Updated kubuntu slideshow

 -- Aaron Honeycutt <aaronhoneycutt@ubuntu.com >  Fri, 25 Feb 2022 22:39:26 +0100

## ubiquity-slideshow-ubuntu 181.1

=== Makefile ===
# Makefile for ubiquity-slideshow-ubuntu

SLIDESHOWS = \
	ubuntu \
	kubuntu \
	xubuntu \
	ubuntustudio \
	ubuntu-budgie \
	ubuntukylin \
	ubuntu-mate \
	oem-config-ubuntu \
	oem-config-ubuntu-mate \
	oem-config-ubuntu-budgie

SOURCE ?= .
SOURCESLIDES ?= $(SOURCE)/slideshows
BUILD ?= $(SOURCE)/build

PO4A_FLAGS = -M UTF-8 -f xhtml -o attributes="data-translate"


find-slides = $(filter-out %/index.html,$(wildcard $1/*.html))
find-slidenames = $(notdir $(call find-slides,$(SOURCESLIDES)/$1/slides))
find-locales = $(basename $(notdir $(wildcard po/$1/*.po)))


.PHONY: all
all: build.slideshows

.PHONY: pot

.PHONY: clean
clean:
	-rm -rf $(_ALL_TMP_DIRS) $(BUILD)

.PHONY: test
test: build
	./test-slideshow.sh

$(BUILD):
	mkdir -p $(BUILD)

.PHONY: build.slideshows


define MAKE-SLIDESHOW

# Per-slideshow build

_SOURCE_FILES_$(1) := $$(shell find -L $(SOURCESLIDES)/$(1) -type f)
_BUILD_FILES_$(1) := $$(patsubst $(SOURCESLIDES)/%,$(BUILD)/%,$$(_SOURCE_FILES_$(1)))

_ALL_TMP_DIRS += $(BUILD)/$1
build.slideshows: build.$1

.PHONY: build.$1
build.$1: build.base.$1 build.l10n.$1

.PHONY: build.base.$1
build.base.$1: $$(_BUILD_FILES_$(1))

.PHONY: build.l10n.$1
build.l10n.$1: build.base.$1
	./build-directory-jsonp.py $(BUILD)/$1/slides/l10n > $(BUILD)/$1/slides/directory.jsonp

# Per-slideshow pot file creation

_ALL_TMP_DIRS += po/$1/.tmp
pot: po/$1/slideshow-$1.pot

po/$1/slideshow-$1.pot: $(addsuffix .pot,$(addprefix po/$1/.tmp/,$(call find-slidenames,$1)))
	msgcat -F $$^ > $$@

po/$1/.tmp/%.pot: $(SOURCESLIDES)/$1/slides/% | po/$1/.tmp
	po4a-updatepo $(PO4A_FLAGS) -m $$^ -p $$@

po/$1/.tmp:
	mkdir -p po/$1/.tmp

# Per-slideshow test scripts

.PHONY: $(SLIDESHOWS)
$(SLIDESHOWS): %: build.%

.PHONY: test.$1
test.$1: build.base.$1
	./Slideshow.py --path="$(BUILD)/$1" --controls

$(foreach p,$(call find-locales,$1),$(eval $(call MAKE-SLIDESHOW-LOCALE,$1,$p)))

endef


define MAKE-SLIDESHOW-LOCALE

# Per-locale per-slideshow build
# By creating a different target for each locale, parallel build works as expected.

build.l10n.$1: build.l10n.$1.$2

.PHONY: build.l10n.$1.$2
build.l10n.$1.$2: $(addprefix $(BUILD)/$1/slides/l10n/$2/,$(call find-slidenames,$1))
	rmdir --ignore-fail-on-non-empty $(BUILD)/$1/slides/l10n/$2

$(BUILD)/$1/slides/l10n/$2/%: $(SOURCESLIDES)/$1/slides/% po/$1/$2.po | $(BUILD)/$1/slides/l10n/$2
	po4a-translate $(PO4A_FLAGS) --keep=1 --master=$$< --po=po/$1/$2.po --localized=$$@

$(BUILD)/$1/slides/l10n/$2:
	# translate all slides inside this locale
	mkdir -p $$@

# Per-locale per-slideshow test scripts

test.$1.$2: build.base.$1 build.l10n.$1.$2
	./build-directory-jsonp.py $(BUILD)/$1/slides/l10n > $(BUILD)/$1/slides/directory.jsonp
	./Slideshow.py --path="$(BUILD)/$1" --controls --locale=$2

test.$1.$2.rtl: build.base.$1 build.l10n.$1.$2
	./build-directory-jsonp.py $(BUILD)/$1/slides/l10n > $(BUILD)/$1/slides/directory.jsonp
	./Slideshow.py --path="$(BUILD)/$1" --controls --locale=$2 --rtl

endef


$(foreach s,$(SLIDESHOWS),$(eval $(call MAKE-SLIDESHOW,$s)))


$(BUILD)/%: $(SOURCESLIDES)/% | $(BUILD)
	mkdir -p $(@D)
	cp $^ $@

$(BUILD)/%.js: $(SOURCESLIDES)/%.js | $(BUILD)
	mkdir -p $(@D)
	cp $^ $@

=== debian/changelog ===
ubiquity-slideshow-ubuntu (181.1) jammy; urgency=medium

  [ Nathan Teodosio ]
  * Update the appareance slideshow to reflect the current layout
    (lp: #1969880)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Jun 2022 10:05:23 +0200

=== debian/control ===
Source: ubiquity-slideshow-ubuntu
Section: x11
Priority: optional
Maintainer: Ubiquity Slideshow Team <ubiquity-slideshow@lists.launchpad.net>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: po4a, python2
Vcs-Bzr: https://code.launchpad.net/~ubiquity-slideshow/ubiquity-slideshow-ubuntu/html
Standards-Version: 4.5.0
Homepage: https://launchpad.net/ubiquity-slideshow-ubuntu

Package: ubiquity-slideshow-ubuntu
Architecture: all
Provides: ubiquity-slideshow
Conflicts: ubiquity-slideshow
Replaces: ubiquity-slideshow
Depends: ${misc:Depends}
Description: Ubiquity slideshow for Ubuntu
 A slideshow intended for the Ubiquity installer, designed as a quick 
 introduction to Ubuntu.

Package: ubiquity-slideshow-kubuntu
Architecture: all
Provides: ubiquity-slideshow
Conflicts: ubiquity-slideshow
Replaces: ubiquity-slideshow
Depends: ${misc:Depends}
Description: Ubiquity slideshow for Kubuntu
 A slideshow intended for the Ubiquity installer, designed as a quick 
 introduction to Kubuntu.

Package: ubiquity-slideshow-xubuntu
Architecture: all
Provides: ubiquity-slideshow
Conflicts: ubiquity-slideshow
Replaces: ubiquity-slideshow
Depends: ${misc:Depends}
Description: Ubiquity slideshow for Xubuntu
 A slideshow intended for the Ubiquity installer, designed as a quick 
 introduction to Xubuntu.

Package: ubiquity-slideshow-ubuntustudio
Architecture: all
Provides: ubiquity-slideshow
Conflicts: ubiquity-slideshow
Replaces: ubiquity-slideshow
Depends: ${misc:Depends}
Description: Ubiquity slideshow for Ubuntu Studio
 A slideshow intended for the Ubiquity installer, designed as a quick
  introduction to Ubuntu Studio.

Package: ubiquity-slideshow-ubuntu-budgie
Architecture: all
Provides: ubiquity-slideshow
Conflicts: ubiquity-slideshow
Replaces: ubiquity-slideshow
Depends: ${misc:Depends}
Description: Ubiquity slideshow for Ubuntu Budgie
 A slideshow intended for the Ubiquity installer, designed as a quick 
 introduction to Ubuntu Budgie.

Package: ubiquity-slideshow-ubuntukylin
Architecture: all
Provides: ubiquity-slideshow
Conflicts: ubiquity-slideshow
Replaces: ubiquity-slideshow
Depends: ${misc:Depends}
Description: Ubiquity slideshow for Ubuntu Kylin
 A slideshow intended for the Ubiquity installer, designed as a quick
 introduction to Ubuntu Kylin.

Package: ubiquity-slideshow-ubuntu-mate
Architecture: all
Provides: ubiquity-slideshow
Conflicts: ubiquity-slideshow
Replaces: ubiquity-slideshow
Depends: ${misc:Depends}
Description: Ubiquity slideshow for Ubuntu MATE
 A slideshow intended for the Ubiquity installer, designed as a quick 
 introduction to Ubuntu MATE.

Package: oem-config-slideshow-ubuntu
Architecture: all
Provides: oem-config-slideshow
Conflicts: oem-config-slideshow
Replaces: oem-config-slideshow
Depends: ${misc:Depends}
Description: OEM slideshow for Ubuntu
 A slideshow intended for the post-OEM-install configuration, designed
 as a quick introduction to Ubuntu.

Package: oem-config-slideshow-ubuntu-mate
Architecture: all
Provides: oem-config-slideshow
Conflicts: oem-config-slideshow
Replaces: oem-config-slideshow
Depends: ${misc:Depends}
Description: OEM slideshow for Ubuntu MATE
 A slideshow intended for the post-OEM-install configuration, designed
 as a quick introduction to Ubuntu MATE.

Package: oem-config-slideshow-ubuntu-budgie
Architecture: all
Provides: oem-config-slideshow
Conflicts: oem-config-slideshow
Replaces: oem-config-slideshow
Depends: ${misc:Depends}
Description: OEM slideshow for Ubuntu Budgie
 A slideshow intended for the post-OEM-install configuration, designed
 as a quick introduction to Ubuntu Budgie.

## ubiquity-slideshow-ubuntu 187

=== debian/changelog ===
ubiquity-slideshow-ubuntu (187) kinetic; urgency=medium

  [ Sean Davis ]
  * Update xubuntu translations from
    https://github.com/Xubuntu/ubiquity-slideshow-xubuntu

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 11 Oct 2022 16:36:55 +0200

ubiquity-slideshow-ubuntu (186) kinetic; urgency=medium

  * Update translations from Launchpad
    - Xubuntu LP translations excluded

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 10 Oct 2022 18:27:37 +0200

ubiquity-slideshow-ubuntu (185) kinetic; urgency=medium

  [fossfreedom]
  * ubuntu budgie kinetic slideshow updates. (LP: #1990060)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Fri, 30 Sep 2022 15:06:21 +0530

ubiquity-slideshow-ubuntu (184) kinetic; urgency=medium

  * Updated for the new Ubuntu wallpaper (lp: #1989359)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 22 Sep 2022 21:39:37 +0200

ubiquity-slideshow-ubuntu (183) kinetic; urgency=medium

  * Updated music, software, customize, and photos screenshots

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 14 Sep 2022 14:48:40 -0400

ubiquity-slideshow-ubuntu (182) kinetic; urgency=medium

  [ Nathan Teodosio ]
  * Update the appareance slideshow to reflect the current layout
    (lp: #1969880)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Jun 2022 10:05:23 +0200

## ubiquity-slideshow-ubuntu 191

=== debian/changelog ===
ubiquity-slideshow-ubuntu (191) lunar; urgency=medium

  * For the ubuntukylin slideshow remove the stablekernel page and reorder the
    display of slides in the slideshow.

 -- Brian Murray <brian@ubuntu.com>  Thu, 13 Apr 2023 11:51:51 -0700

ubiquity-slideshow-ubuntu (190) lunar; urgency=medium

  [ Steve Langasek ]
  * Update Ubuntu translations from Launchpad.
  * Use python3 at build time, not python2.
  * Fix VCS metadata.

  [ Łukasz 'sil2100' Zemczak ]
  * Update Ubuntu translations from Launchpad.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 13 Apr 2023 20:30:37 +0200

ubiquity-slideshow-ubuntu (189) lunar; urgency=medium

  * Updated music screenshot

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 15 Mar 2023 19:48:48 -0400

ubiquity-slideshow-ubuntu (188) lunar; urgency=medium

  * Updated Ubuntu wallpapers for Lunar

  [ Erich Eickmeyer ]
  * Bring back Edubuntu slideshow (LP: #2008731)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 15 Mar 2023 07:23:09 +0100

## ubiquity-slideshow-ubuntu 196

=== debian/changelog ===
ubiquity-slideshow-ubuntu (196) mantic; urgency=medium

  * Update Ubuntu translations from Launchpad.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 04 Oct 2023 12:06:24 +0200

ubiquity-slideshow-ubuntu (195) mantic; urgency=medium

  * Add missing icons for Ubuntu Studio
    - Pipewire
    - digiKam
    - Krita
    - OBS Studio

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 14 Sep 2023 09:08:18 -0700

ubiquity-slideshow-ubuntu (194) mantic; urgency=medium

  * Update Edubuntu slideshow for 23.10
  * Major update to Ubuntu Studio content

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 13 Sep 2023 22:09:23 +0200

ubiquity-slideshow-ubuntu (193) mantic; urgency=medium

  * Tweak to the new wallpaper to not conflict with the content

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 08 Sep 2023 12:06:59 +0200

ubiquity-slideshow-ubuntu (192) mantic; urgency=medium

  * Update for the new mantic artwork

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 06 Sep 2023 21:16:23 +0200

## ubiquity-slideshow-ubuntu 199

=== debian/changelog ===
ubiquity-slideshow-ubuntu (199) noble; urgency=medium

  * Update Ubuntu translations from Launchpad.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 19 Apr 2024 15:13:09 +0200

ubiquity-slideshow-ubuntu (198) noble; urgency=medium

  * Updated the Ubuntu Noble backgrounds to not have lines overlaping
    with the text.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Apr 2024 13:23:57 +0200

ubiquity-slideshow-ubuntu (197) noble; urgency=medium

  * Update the Webkit import to match the current ABI version
  * Update the background image for Noble

  [ Erich Eickmeyer ]
  * A few Edubuntu updates

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Apr 2024 16:39:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubiquity Slideshow Team <ubiquity-slideshow@lists.launchpad.net>
 Build-Depends: debhelper-compat (= 12)
-Build-Depends-Indep: po4a, python2
-Vcs-Bzr: https://code.launchpad.net/~ubiquity-slideshow/ubiquity-slideshow-ubuntu/html
+Build-Depends-Indep: po4a, python3
+Vcs-Git: https://git.launchpad.net/ubiquity-slideshow-ubuntu
 Standards-Version: 4.5.0
 Homepage: https://launchpad.net/ubiquity-slideshow-ubuntu
 
@@ -37,6 +37,16 @@
 Description: Ubiquity slideshow for Xubuntu
  A slideshow intended for the Ubiquity installer, designed as a quick 
  introduction to Xubuntu.
+
+Package: ubiquity-slideshow-edubuntu
+Architecture: all
+Provides: ubiquity-slideshow
+Conflicts: ubiquity-slideshow
+Replaces: ubiquity-slideshow
+Depends: ${misc:Depends}
+Description: Ubiquity slideshow for Edubuntu
+ A slideshow intended for the Ubiquity installer, designed as a quick
+  introduction to Edubuntu.
 
 Package: ubiquity-slideshow-ubuntustudio
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Not an automated build test
override_dh_auto_test:

## ubiquity-slideshow-ubuntu 202

=== debian/changelog ===
ubiquity-slideshow-ubuntu (202) oracular; urgency=medium

  * Remove gbrainy from edubuntu slideshow, abandoned upstream

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 30 Sep 2024 13:01:35 -0700

ubiquity-slideshow-ubuntu (201) oracular; urgency=medium

  * Update Ubuntu translations from Launchpad.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 27 Sep 2024 18:33:53 +0200

ubiquity-slideshow-ubuntu (200) oracular; urgency=medium

  * Update the background images for Oracular (lp: #2081287)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 20 Sep 2024 16:18:07 +0200

## ubiquity-slideshow-ubuntu 203

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 	ubuntu \
 	kubuntu \
 	xubuntu \
+	edubuntu \
 	ubuntustudio \
 	ubuntu-budgie \
 	ubuntukylin \

=== debian/changelog ===
ubiquity-slideshow-ubuntu (203) plucky; urgency=medium

  * Update the background images for Plucky

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 13 Mar 2025 15:18:09 +0100

## ubiquity-slideshow-ubuntu 203build1

=== debian/changelog ===
ubiquity-slideshow-ubuntu (203build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 29 Jan 2026 22:15:48 +0100
